<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>GraphRevision</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="GraphRevision";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GraphRevision.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphManager.html" title="class in fr.inria.alpage.frmgcm.gm"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/gm/GraphRevision.html" target="_top">Frames</a></li>
<li><a href="GraphRevision.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.gm</div>
<h2 title="Class GraphRevision" class="title">Class GraphRevision</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.mongodb.ReflectionDBObject</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.gm.GraphRevision</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.mongodb.DBObject, org.bson.BSONObject</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">GraphRevision</span>
extends com.mongodb.ReflectionDBObject</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>com.mongodb.ReflectionDBObject.JavaWrapper</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#additional_data">additional_data</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private byte[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#data">data</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#uri">uri</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#GraphRevision()">GraphRevision</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#GraphRevision(com.mongodb.BasicDBObject)">GraphRevision</a></strong>(com.mongodb.BasicDBObject&nbsp;definition)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#diff(com.mongodb.BasicDBObject)">diff</a></strong>(com.mongodb.BasicDBObject&nbsp;updateData)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#fetchRemoteData()">fetchRemoteData</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#getadditional_data()">getadditional_data</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#getdata()">getdata</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#getData()">getData</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#geturi()">geturi</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#save()">save</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#setadditional_data(com.mongodb.BasicDBObject)">setadditional_data</a></strong>(com.mongodb.BasicDBObject&nbsp;additional_data)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#setdata(byte[])">setdata</a></strong>(byte[]&nbsp;data)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#seturi(java.lang.String)">seturi</a></strong>(java.lang.String&nbsp;uri)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#update(com.mongodb.BasicDBObject)">update</a></strong>(com.mongodb.BasicDBObject&nbsp;def)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html#validate()">validate</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>containsField, containsKey, get_id, get, getWrapper, getWrapperIfReflectionObject, isPartialObject, keySet, markAsPartialObject, put, putAll, putAll, removeField, set_id, toMap</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="data">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>data</h4>
<pre>private&nbsp;byte[] data</pre>
</li>
</ul>
<a name="additional_data">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>additional_data</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject additional_data</pre>
</li>
</ul>
<a name="uri">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>uri</h4>
<pre>private&nbsp;java.lang.String uri</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GraphRevision()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GraphRevision</h4>
<pre>public&nbsp;GraphRevision()</pre>
</li>
</ul>
<a name="GraphRevision(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GraphRevision</h4>
<pre>public&nbsp;GraphRevision(com.mongodb.BasicDBObject&nbsp;definition)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getadditional_data()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getadditional_data</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;getadditional_data()</pre>
</li>
</ul>
<a name="setadditional_data(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setadditional_data</h4>
<pre>public&nbsp;void&nbsp;setadditional_data(com.mongodb.BasicDBObject&nbsp;additional_data)</pre>
</li>
</ul>
<a name="geturi()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>geturi</h4>
<pre>public&nbsp;java.lang.String&nbsp;geturi()</pre>
</li>
</ul>
<a name="seturi(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>seturi</h4>
<pre>public&nbsp;void&nbsp;seturi(java.lang.String&nbsp;uri)</pre>
</li>
</ul>
<a name="setdata(byte[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setdata</h4>
<pre>public&nbsp;void&nbsp;setdata(byte[]&nbsp;data)</pre>
</li>
</ul>
<a name="getdata()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getdata</h4>
<pre>public&nbsp;byte[]&nbsp;getdata()</pre>
</li>
</ul>
<a name="update(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>public&nbsp;void&nbsp;update(com.mongodb.BasicDBObject&nbsp;def)</pre>
</li>
</ul>
<a name="validate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validate</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a>&nbsp;validate()</pre>
</li>
</ul>
<a name="getData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getData</h4>
<pre>public&nbsp;java.lang.String&nbsp;getData()</pre>
</li>
</ul>
<a name="fetchRemoteData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchRemoteData</h4>
<pre>private&nbsp;java.lang.String&nbsp;fetchRemoteData()</pre>
</li>
</ul>
<a name="save()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;boolean&nbsp;save()</pre>
</li>
</ul>
<a name="diff(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>diff</h4>
<pre>public&nbsp;boolean&nbsp;diff(com.mongodb.BasicDBObject&nbsp;updateData)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GraphRevision.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/gm/GraphManager.html" title="class in fr.inria.alpage.frmgcm.gm"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/gm/GraphRevision.html" target="_top">Frames</a></li>
<li><a href="GraphRevision.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
